import direct.directbase.DirectStart
from direct.showbase.DirectObject import DirectObject 
from pandac.PandaModules import *

#Importing game modules
from input_control import inputManager
from player_fps import playerFps

class World(DirectObject):
	def __init__(self):
		self.keymap = inputManager().keymap
		self.fps = playerFps()
		base.disableMouse()
		##loadModel
		#self.plane = loader.loadModel("assets/plane")
		
		##Reparent
		#self.plane.reparentTo(render)

		##Model transform
		#self.plane.setHpr(0, 0, 0)
		
		##Tasks
		taskMgr.add(self.fps.mouseUpdate, 'update mouse')
		taskMgr.add(self.fps.player_fps, 'player_fps')
		taskMgr.doMethodLater(1, self.task, 'thing')
	def task(self, task):
		print taskMgr
		return task.again
w = World()

run()